package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.dto.ScrapStatisticsDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.TurnOverDto;
import com.tofly.watermeter.entity.Bwrksbdatail;
import com.tofly.watermeter.entity.Bwsbyjgl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TurnOverMapper {

    List<Map> count(@Param("dto") TurnOverDto dto);

    List<Map> countByTime(@Param("dto") TurnOverDto dto);

    Page<Map> queryInfo(Page page, @Param("dto") TurnOverDto dto);

    List<Map> queryInfo(@Param("dto") TurnOverDto dto);

    boolean importTurnOver(@Param("list") List<Bwsbyjgl> list);

    Page<Map> canTurnOver(Page page,@Param("dto") TurnOverDto dto);

    List<Bwrksbdatail> queryTableState(@Param("codeList") List<String> codeList, @Param("state")List<String> state);

    boolean updateTableState(@Param("codeList") List<String> codeList,@Param("state")String state);

    List<Map> scrapStatistics(@Param("dto") ScrapStatisticsDto dto);

}
